Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.protocol.messaging
Class BusinessDocument

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--com.bea.b2b.protocol.messaging.XMLPart
                  |
                  +--com.bea.b2b.protocol.messaging.BusinessDocument

Direct Known Subclasses:
  CXMLDocument

public class BusinessDocument
extends com.bea.b2b.protocol.messaging.XMLPart
implements PayloadPart

The BusinessDocument class represents a business document, consisting of an XML document (XML DOM Document). A BusinessDocument is a payload part of a business message and is used to exchange XML documents between trading partners.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`BusinessDocument()` Constructs a BusinessDocument.
`BusinessDocument(org.w3c.dom.Document d)` Constructs a BusinessDocument with the specified document part.

Method Summary
`java.lang.String` | `getContentType()` Gets the content type of this business document.
`org.w3c.dom.Document` | `getDocument()` Gets XML document.
`org.w3c.dom.Document` | `getDocumentNoValidation()` Get XML document.
`void` | `read(java.io.InputStream in)` Reads XML document from the specified input stream.
`protected org.w3c.dom.Document` | `readDOM(java.io.InputStream in, boolean validate)`
`void` | `setDocument(org.w3c.dom.Document d)` Sets the XML document part of this business document.
`protected void` | `writeDOM(java.io.OutputStream out, org.w3c.dom.Document doc)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BusinessDocument

    public BusinessDocument()

  Constructs a BusinessDocument.

### BusinessDocument

    public BusinessDocument(org.w3c.dom.Document d)

  Constructs a BusinessDocument with the specified document part.

Method Detail

### getContentType

    public java.lang.String getContentType()

  Gets the content type of this business document.

  Returns:
    TYPE Content type.
  Overrides:
    getContentType in class com.bea.b2b.protocol.messaging.XMLPart

### getDocument

    public org.w3c.dom.Document getDocument()

  Gets XML document. This method also validates XML document.

### getDocumentNoValidation

    public org.w3c.dom.Document getDocumentNoValidation()

  Get XML document. This method does not validate XML document.

### setDocument

    public void setDocument(org.w3c.dom.Document d)

  Sets the XML document part of this business document.

### read

    public void read(java.io.InputStream in)
              throws java.io.IOException,
                     com.bea.b2b.transport.TransportException

  Reads XML document from the specified input stream.

  Overrides:
    read in class com.bea.b2b.protocol.messaging.XMLPart

### readDOM

    protected org.w3c.dom.Document readDOM(java.io.InputStream in,
                                           boolean validate)
                                    throws java.io.IOException,
                                           com.bea.b2b.transport.TransportException

### writeDOM

    protected void writeDOM(java.io.OutputStream out,
                            org.w3c.dom.Document doc)
                     throws java.io.IOException,
                            com.bea.b2b.transport.TransportException

  Overrides:
    writeDOM in class com.bea.b2b.protocol.messaging.XMLPart

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)